Search Gradle plugins

Version 5.1.0

Created 06 September 2018.

Provides a convenient wrapper plugin over the ktlint project.

Using the plugins DSL:

plugins {
  id "org.jlleitschuh.gradle.ktlint-idea" version "5.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.org.jlleitschuh.gradle:ktlint-gradle:5.1.0"
  }
}

apply plugin: "org.jlleitschuh.gradle.ktlint-idea"

Using the plugins DSL:

plugins {
  id("org.jlleitschuh.gradle.ktlint-idea") version "5.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.org.jlleitschuh.gradle:ktlint-gradle:5.1.0")
  }
}

apply(plugin = "org.jlleitschuh.gradle.ktlint-idea")

Learn how to apply plugins to subprojects